%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		breezy
Summary:	Friendly distributed version control system
Version:	3.1.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Tools
Url:		https://www.breezy-vcs.org/
Source0:	https://launchpad.net/brz/%{url_ver}/%{version}/+download/breezy-%{version}.tar.gz
Patch0:		breezy-3.0.2-man-location.patch
BuildRequires:	python3-devel
BuildRequires:	python3dist(configobj)
BuildRequires:	python3dist(cython)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(six)
Obsoletes:	bzr < 3
Provides:	bzr = %{version}-%{release}
Provides:	brz = %{version}-%{release}

%description
Breezy (brz) is a decentralized revision control system, designed to be easy
for developers and end users alike.

By default, Breezy provides support for both the Bazaar and Git file formats.

%prep
%autosetup -p1

# Remove Cython generated .c files
find . -name '*_pyx.c' -delete

%build
%py3_build

%install
%py3_install

# symlinks
ln -s brz %{buildroot}%{_bindir}/bzr
ln -s git-remote-bzr %{buildroot}%{_bindir}/git-remote-brz

# man pages
mkdir -p %{buildroot}%{_mandir}/man1/
echo ".so man1/brz.1" > %{buildroot}%{_mandir}/man1/bzr.1
echo ".so man1/git-remote-bzr.1" > %{buildroot}%{_mandir}/man1/git-remote-brz.1

%files
%license COPYING*
%doc NEWS README.rst
%{_bindir}/brz
%{_bindir}/bzr-*-pack
%{_bindir}/bzr
%{_bindir}/git-remote-brz
%{_bindir}/git-remote-bzr
%{_mandir}/man1/brz.1*
%{_mandir}/man1/bzr.1*
%{_mandir}/man1/git-remote-brz.1*
%{_mandir}/man1/git-remote-bzr.1*
%{python3_sitearch}/breezy/
%{python3_sitearch}/breezy-%{version}-py?.?.egg-info/


%changelog
* Tue Jun 09 2020 wally <wally> 3.1.0-1.mga8
+ Revision: 1591484
- new version 3.1.0

* Tue Feb 18 2020 umeabot <umeabot> 3.0.2-2.mga8
+ Revision: 1541316
- Mageia 8 Mass Rebuild

* Sun Dec 22 2019 wally <wally> 3.0.2-1.mga8
+ Revision: 1469510
- imported package breezy

